import { PortfolioProvider } from "./portfolio";
import { QuoteProvider } from "./quote";

/**
 * Represents an exchange, which provides access to a portfolio provider and a quote provider.
 */
export interface Exchange {

    /**
     * The portfolio provider for the exchange.
     */
    readonly portfolioProvider: PortfolioProvider;

    /**
     * The quote provider for the exchange.
     */
    readonly quoteProvider: QuoteProvider;

    /**
     * The name of the exchange.
     */
    readonly name: string;
}